# module Random::Secure

##
Overview

Generates random numbers from a secure source provided by the system.

For example `arc4random` is used on OpenBSD, whereas on Linux it uses `getrandom` (if the kernel supports it) and fallbacks on reading from `/dev/urandom` on UNIX systems.

    Random::Secure.rand(6)            # => 4
    [1, 5, 6].shuffle(Random::Secure) # => [6, 1, 5]

##
Extended Modules

- Random
- Random::Secure

##
Defined in:

##
Instance Method Summary

- #next_u
- #random_bytes(buf : Bytes)

##
Instance Method Detail

def next_u #
def random_bytes(buf : Bytes) #